httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Trawick <traw...@attglobal.net>
Subject Re: Error while installing apache 2.0.43 on Linux 7.3
Date Fri, 06 Jun 2003 10:45:43 GMT
Rahul Kohli wrote:
> Hi ,
> 
> I am installing Apache 2.0.43 on Linux 7.3, but during installation I am getting the
following error:
> 
> /home/agent5qa/apache2043/httpd-2.0.43/srclib/apr/.libs/libapr-0.so: undefined reference
to `pthread_create'
> 
> and the installation stops .. Kindly suggest how can I resolve this issue.
> 
> I have also set the environment variable export LIBS=-lpthread.

Did you set "LIBS=-lpthread" at configure time or at "make install" time?

I've never heard of a failure exactly like that, though I have seen a 
problem on Linux where "apr-config --libs" won't display -lpthread, and 
-lpthread has to be included manually for applications using apr-config 
to see what libs are necessary.  I wonder if that is related.

See http://www.apache.org/~trawick/build_problems.html for some standard 
information that is helpful in debugging stuff like this.  There are 
many ways that the build can go wrong.


Mime
View raw message